いがらしです。

私もパッケージングしてて初めて気づきました。

At Sun, 10 Aug 2003 05:50:34 +0900,
Akinori MUSHA <knu / iDaemons.org> wrote:
> 
> At Sun, 10 Aug 2003 04:11:46 +0900,
> Masao Mutoh wrote:
> > rbbr-0.3.0をリリースしました。
> > 
> > 変更点
> > ======
> >  * ruby-1.8.0, Ruby-GNOME2-0.6.0のサポート
> 
>  報告だけですが、 ruby 1.6 だと singleton_methods() は引数を
> 取らないので落ちてしまいます。
> 
> /usr/local/lib/ruby/site_ruby/1.6/rbbr/ui/gtk/methodlist.rb:49:in `singleton_methods': wrong # of arguments(1 for 0) (ArgumentError)
> 	from /usr/local/lib/ruby/site_ruby/1.6/rbbr/ui/gtk/methodlist.rb:49:in `update'
> (snip)

いちおうREADMEには
  * ruby 1.8.0 or later
となってますので...。
でもまだ1.6は切り捨てたくないですねぇ。

--
五十嵐  宏  (Hiroshi IGARASHI)